// Code generated by go-swagger; DO NOT EDIT.

package users

// This file was generated by the swagger tool.
// Editing this file might prove futile when you re-run the swagger generate command

import (
	"net/http"

	"github.com/go-openapi/errors"
	"github.com/go-openapi/runtime/middleware"
)

// NewUserGetSelfParams creates a new UserGetSelfParams object
// no default values defined in spec.
func NewUserGetSelfParams() UserGetSelfParams {

	return UserGetSelfParams{}
}

// UserGetSelfParams contains all the bound params for the user get self operation
// typically these are obtained from a http.Request
//
// swagger:parameters user_get_self
type UserGetSelfParams struct {

	// HTTP Request Object
	HTTPRequest *http.Request `json:"-"`
}

// BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface
// for simple values it will use straight method calls.
//
// To ensure default values, the struct must have been initialized with NewUserGetSelfParams() beforehand.
func (o *UserGetSelfParams) BindRequest(r *http.Request, route *middleware.MatchedRoute) error {
	var res []error

	o.HTTPRequest = r

	if len(res) > 0 {
		return errors.CompositeValidationError(res...)
	}
	return nil
}
